```json
{
  "title": "Goat",
  "icon_sprite": "minecraft:icon/goat",
  "categories": [
    "minecraft:mobs",
    "minecraft:neutral_mobs",
    "minecraft:group/spawn_eggs"
  ],
  "associated_items": [
    "minecraft:goat_spawn_egg"
  ]
}
```

A **goat** is a [neutral mob](^minecraft:neutral_mobs) found in certain [mountainous biomes](^minecraft:tag/is_mountain). Goats can jump especially high and ram mobs. They are a source of [goat horns](^minecraft:goat_horn) and [milk](^minecraft:milk_bucket).

<entity;minecraft:goat>

;;;;;

&title(Spawning)
Groups of two to three goats spawn above stone variants of opaque blocks on [snowy slopes](^minecraft:snowy_slopes), [jagged peaks](^minecraft:jagged_peaks), and [frozen peaks](^minecraft:frozen_peaks) at the surface at a light level of 7 or higher. Goats spawn individually and more uncommonly after the world generation. 5% of all goats spawn as babies.

;;;;;

&title(Behavior)
When left to wander, goats tend to ascend hills and mountains rather than keep to lowlands. Their behavior is marked by jumping high and by opportunistically ramming non-moving mobs.


Goats take 10 less fall damage and avoid walking into [powder snow](^minecraft:powder_snow).

;;;;;

&title(Jumping)
A goat usually jumps when trying to cross an obstacle like a small hole in the ground or [powder snow](^minecraft:powder_snow). It lowers its head, then it leaps up to 10 blocks vertically and up to 5 blocks laterally. Once a goat jumps this way, it cannot do it again for 30 to 60 seconds.


Standing on a [honey block](^minecraft:honey_block) prevents a goat from jumping. 

;;;;;

&title(Ramming)
Every 30 to 300 seconds, a goat tries to ram a single unmoving target it can see within a range of 4–16 blocks. They can target players, armor stands, or any mob except for ghasts and other goats. A charging goat locks on to its target's position, lowers its head, stomps, and speeds toward the target.

;;;;;

&title(Milking)
An adult goat can be milked by using a [bucket](^minecraft:bucket) on it, yielding a [milk bucket](^minecraft:milk_bucket).

;;;;;

&title(Breeding)
Goats follow players that are within ten blocks who are holding [wheat](^minecraft:wheat). If adult goats are fed wheat, they enter love mode and [breed](^minecraft:breeding), granting one to seven experience orbs. The growth time of a baby goat can be accelerated by 10% each time it is fed wheat.

;;;;;

&title(Screaming Goats)
If a standard goat is [bred](^minecraft:breeding) with a screaming goat, there is approximately a 50% chance the resulting baby is a screaming goat. If both goats are screaming, there is a 100% chance that the baby is a screaming goat. With two normal parents, there is a 2% chance of a baby goat being a screaming goat.
