```json
{
  "title": "Lush Caves",
  "icon_sprite": "minecraft:icon/lush_caves",
  "categories": [
    "minecraft:tag/is_overworld",
    "minecraft:cave_biomes",
    "minecraft:biomes"
  ]
}
```

**Lush caves** are temperate [Overworld](^minecraft:tag/is_overworld) [cave biomes](^minecraft:cave_biomes) with unique fauna and flora and are found underground below humid biomes, indicated above ground by [azalea trees](^minecraft:azalea_tree). 

;;;;;

&title(Appearance)
![Lush Cave](minecraft:textures/gui/image/lush_cave.png,fit)

;;;;;

&title(Description)
[Azalea trees](^minecraft:azalea_tree) generate on any empty space above a lush cave, with roots consisting of [rooted dirt](^minecraft:rooted_dirt) and [hanging roots](^minecraft:hanging_roots) that generate down until reaching the lush cave. This is most common at the surface, but they can sometimes generate inside caves if there is enough room.

;;;;;

&title(Description)
Underground, [moss](^minecraft:moss_block) and ores cover the floors and ceilings, along with [moss carpets](^minecraft:moss_carpet), [grass](^minecraft:grass) and [azalea bushes](^minecraft:azalea) on the floors. On the ceiling, [vines](^minecraft:vine) and cave vines with [glow berries](^minecraft:glow_berries) grow down and light up the caves, and [spore blossoms](^minecraft:spore_blossom) grow from the ceiling and drip water particles. [Dripleaf](^minecraft:dripleaf) plants grow up from shallow lakes lined with [clay](^minecraft:clay), which sometimes generate dry.

;;;;;

&title(Generation)
Lush caves generate underground at any altitude. They favor generating underneath biomes with high humidity values (H=3,4), which makes them most commonly found beneath dark forests, jungles, old growth taigas, wooded badlands, and taigas at temperatures of -0.450 and below

;;;;;

&title(Generation)
May also generate under windswept forests, [mangrove swamps](^minecraft:mangrove_swamp), birch forests, taigas at temperatures of -0.150 to -0.450 and snowy taigas. 

;;;;;

&title(Generation)
Dark forests, old growth taigas, bamboo jungles, wooded badlands, and taigas at temperatures of -0.450 and below are almost guaranteed to have lush caves generate below them, but when these biomes generate far inland, dripstone caves may generate underneath them instead. 

;;;;;

&title(Mobs)
[Bats](^minecraft:bat), [glow squid](^minecraft:glow_squid), tropical fish, and [axolotls](^minecraft:axolotl) are the only [passive mobs](^minecraft:passive_mobs) that spawn, with the latter being exclusive to the biome. While [hostile mobs](^minecraft:hostile_mobs) can spawn throughout the biome, many areas have a light level greater than 0 due to the pervasive [glow berries](^minecraft:glow_berries).
