```json
{
  "title": "Bee",
  "icon_sprite": "minecraft:icon/bee",
  "categories": [
    "minecraft:mobs",
    "minecraft:neutral_mobs",
    "minecraft:group/spawn_eggs"
  ],
  "associated_items": [
    "minecraft:bee_spawn_egg"
  ]
}
```

**Bees** are flying [neutral mobs](^minecraft:neutral_mobs) that live in [bee nests](^minecraft:bee_nest) and [beehives](^minecraft:beehive). Bees pollinate flowers and, when they do, add honey to their home when they return to it.

<entity;minecraft:bee>

;;;;;

![Bee and Bee Nest](minecraft:textures/gui/image/bee_and_bee_nest.png,fit)

A bee coming out of a [bee nest](^minecraft:bee_nest).

;;;;;

&title(Natural generation)
Naturally generated [bee nests](^minecraft:bee_nest) generate with 3 bees in them. Naturally-generated [birch](^minecraft:birch_tree) or [oak trees](^minecraft:oak_tree) have equal chances to generate with a bee nest, depending on the biome.

;;;;;

&title(Saplings)
[Birch](^minecraft:birch_tree), [cherry](^minecraft:cherry_tree), and [oak trees](^minecraft:oak_tree) grown from saplings or [mangrove propagules](^minecraft:mangrove_propagule) that are within 2 blocks of any 1- or 2-block tall [flowers](^minecraft:tag/flowers), flowering azalea, cherry leaves, flowering azalea leaves, mangrove propagule, spore blossom, pink petals, or chorus flower have a 5% chance of having a bee nest containing 2–3 bees.

;;;;;

&title(Polinating)
Bees leave their nest one by one during the day. They fly around their nests, and are attracted to [flowers](^minecraft:tag/flowers), flowering azaleas, flowering azalea leaves, mangrove propagules, pink petals, cherry leaves, spore blossoms and chorus flowers. Bees can pollinate wither roses and die as a result, as wither roses are harmful to them.

;;;;;

&title(Housing)
Bees live together in colonies and take any [bee nest](^minecraft:bee_nest) or [beehive](^minecraft:beehive) that has enough space as its home. One bee nest/beehive can house up to 3 bees. Homeless bees search for empty beehives by wandering around generally in a northwest direction. Bees can enter a beehive from any side, but exit only from the front. One-way bee-gates can be made in this way.

;;;;;

&title(Attacking)
All bees nearby are angered when an individual bee is attacked (unless the bee attacked is killed in one hit), honey or honeycombs are collected (unless a [campfire](^minecraft:campfire) is placed under the nest), or a bee nest/beehive is destroyed. Even destroying newly-placed uninhabited artificial beehives anger nearby bees. 

;;;;;

&title(Attacking)
Hitting or walking on a beehive does not anger bees; it must be destroyed to anger them. When destroyed, a beehive releases any bees that it contained, and these bees are angry. If the beehive is destroyed with a [Silk Touch](^minecraft:silk_touch) tool, bees kept within the hive remain neutral, while those outside the hive also remain neutral.

;;;;;

&title(Breeding)
Bees follow players holding any 1- or 2-block tall [flowers](^minecraft:tag/flowers), flowering azalea, cherry leaves, flowering azalea leaves, mangrove propagule, spore blossom, pink petals, or chorus flower. If the player is standing still and being followed by bees, the bees go toward the player, face the player, and rest on the ground. They do this until the player moves.

;;;;;

&title(Breeding)
If bees are given any of the blocks listed before, they enter love mode and pair up to create baby bees, granting the player 1-7 experience. The parent bees have a cooldown of 5 minutes (6000 ticks) before they can be bred again. Babies take 20 minutes (1 in-game day) to grow up.